Bug 849425 - [abrt] libreoffice-core-3.5.5.3-2.fc17: SfxUndoManager::ImplClearRedo killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.5.3-2.fc17: SfxUndoManager::ImplClearRedo killed ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
abrt_hash:da14269123b11d69b138684ae62...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 07:56 EDT by Dennis Schulmeister
Modified: 2012-09-17 11:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 11:06:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.43 KB, text/plain)
2012-08-19 07:56 EDT, Dennis Schulmeister
no flags Details
File: maps (105.05 KB, text/plain)
2012-08-19 07:56 EDT, Dennis Schulmeister
no flags Details
File: dso_list (13.41 KB, text/plain)
2012-08-19 07:57 EDT, Dennis Schulmeister
no flags Details

  None (edit)
Description Dennis Schulmeister 2012-08-19 07:56:48 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress file:///home/dennis/Documents/DHBW-Karlsruhe/Webprogrammierung/Folien/0%20-%20Vorlage.odp --splash-pipe=6
crash_function: __GI___libc_free
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.5.2-1.fc17.x86_64
pid:            22994
pwd:            /home/dennis
remote_result:  NOTFOUND
time:           So 19 Aug 2012 13:27:10 CEST
uid:            1000
username:       dennis

backtrace:      Text file, 50620 bytes
dso_list:       Text file, 13728 bytes
maps:           Text file, 107571 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dennis/2

comment:
:* Open two odp presentations
:* Copy / paste slides from one file to the other
:* Edit one of the copied files
:
:The crash happened when I was typing inside a text area.
:The slides don't contain unusual content. Just plain slides with a heading and text area ...
:
:Generally LibreOffice crashes very often here !!

core_backtrace:
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0x7f97c free libc.so.6 -
:ef10b5b50c68c6ca8940f61e99e7b31b2dd96a18 0xca4fb - libsvllo.so -
:ef10b5b50c68c6ca8940f61e99e7b31b2dd96a18 0xc6aba SfxUndoManager::ImplClearRedo(svl::undo::impl::UndoManagerGuard&, libsvllo.so -
:ef10b5b50c68c6ca8940f61e99e7b31b2dd96a18 0xc924e SfxUndoManager::ImplLeaveListAction(bool, libsvllo.so -
:ef10b5b50c68c6ca8940f61e99e7b31b2dd96a18 0xc9827 SfxUndoManager::LeaveListAction() libsvllo.so -
:37e41915f364a50b167602f149df34b245794202 0x11195c - libeditenglo.so -
:37e41915f364a50b167602f149df34b245794202 0xc7050 - libeditenglo.so -
:37e41915f364a50b167602f149df34b245794202 0xe2a5e - libeditenglo.so -
:37e41915f364a50b167602f149df34b245794202 0x171f85 OutlinerView::PostKeyEvent(KeyEvent libeditenglo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x4594cd SdrObjEditView::KeyInput(KeyEvent libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x504ad3 SdrView::KeyInput(KeyEvent libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x359fb6 FmFormView::KeyInput(KeyEvent libsvxcorelo.so -
:782c4764d69fa84ad0da1cc29cc0ef38122556ba 0x4d394b - libsdlo.so -
:782c4764d69fa84ad0da1cc29cc0ef38122556ba 0x4c80d5 - libsdlo.so -
:782c4764d69fa84ad0da1cc29cc0ef38122556ba 0x471920 - libsdlo.so -
:782c4764d69fa84ad0da1cc29cc0ef38122556ba 0x4bc6bc - libsdlo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x35008d - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x352acb - libvcllo.so -
:785a3d3c0ad1447d7d98bd789193dd65b80d72ee 0x4ae1e - libvclplug_gtklo.so -
:785a3d3c0ad1447d7d98bd789193dd65b80d72ee 0x4b491 - libvclplug_gtklo.so -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14db4c - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14b9e7 gtk_propagate_event libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bc7b gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:785a3d3c0ad1447d7d98bd789193dd65b80d72ee 0x30de1 - libvclplug_gtklo.so -
:785a3d3c0ad1447d7d98bd789193dd65b80d72ee 0x31add - libvclplug_gtklo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0xfbcd4 Application::Yield(bool) libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0xfbd77 Application::Execute() libvcllo.so -
:e306f7cf861ffe3fe272fd7721cd5b892b786024 0x1dd59 - libsofficeapp.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x102711 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x1027b5 SVMain() libvcllo.so -
:e306f7cf861ffe3fe272fd7721cd5b892b786024 0x41d26 soffice_main libsofficeapp.so -
:0ef7a32417e24ed789ff99a91ba555099483812c 0x6bb - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=blues-mobil
:LC_MONETARY=de_DE.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=22918
:GPG_AGENT_INFO=/run/user/dennis/keyring-xX2pdH/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-22767-blues-mobil-libreoffice-0_TIME3419135
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:LC_NUMERIC=de_DE.utf8
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/run/user/dennis/keyring-xX2pdH
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=dennis
:SSH_AUTH_SOCK=/run/user/dennis/keyring-xX2pdH/ssh
:USERNAME=dennis
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1047,unix/unix:/tmp/.ICE-unix/1047
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-impress.desktop
:MAIL=/var/spool/mail/dennis
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/home/dennis/Applications/glassfish-v3/bin:/home/dennis/Applications/android-sdk-linux_86:/usr/local/sbin:/usr/sbin:/home/dennis/.local/bin:/home/dennis/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dennis
:JAVA_HOME=/usr/lib/jvm/default-java
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1043
:LANG=en_US.utf8
:KDEDIRS=/usr
:LC_MEASUREMENT=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/dennis
:SHLVL=1
:JDK_HOME=/usr/lib/jvm/default-java
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=dennis
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-dj8DWrRDnv,guid=23fd8211578451f7267b0b6a000000ed
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:IDEA_JDK=/usr/lib/jvm/default-java
:XDG_RUNTIME_DIR=/run/user/dennis
:DISPLAY=:0.0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:LC_TIME=de_DE.utf8
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-dennis-1AMU16/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.5.x86_64/jre/lib/amd64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 14840                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       14840                14840                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/dennis/.xsession-errors
:pos:	36277
:flags:	0102002
:2:/home/dennis/.xsession-errors
:pos:	36277
:flags:	0102002
:3:socket:[261368]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[260502]
:pos:	0
:flags:	00
:6:pipe:[260502]
:pos:	0
:flags:	01
:7:socket:[261369]
:pos:	0
:flags:	02000002
:8:socket:[260595]
:pos:	0
:flags:	02000002
:9:socket:[261370]
:pos:	0
:flags:	02004002
:10:/usr/lib64/libreoffice/program/resource/fween-US.res
:pos:	2158
:flags:	0100000
:11:/usr/lib64/libreoffice/program/resource/sben-US.res
:pos:	6660
:flags:	0100000
:12:/usr/lib64/libreoffice/program/resource/ofaen-US.res
:pos:	8114
:flags:	0100000
:13:/usr/lib64/libreoffice/program/resource/svten-US.res
:pos:	21102
:flags:	0100000
:14:/home/dennis/.execooo8PLoLV (deleted)
:pos:	0
:flags:	0100002
:15:/usr/lib64/libreoffice/program/resource/sfxen-US.res
:pos:	34322
:flags:	0100000
:16:/usr/lib64/libreoffice/program/resource/vclen-US.res
:pos:	6940
:flags:	0100000
:17:/usr/lib64/libreoffice/share/config/images_tango.zip
:pos:	0
:flags:	0100000
:18:socket:[261408]
:pos:	0
:flags:	02000002
:19:pipe:[261409]
:pos:	0
:flags:	02004000
:20:pipe:[261409]
:pos:	0
:flags:	02004001
:21:/home/dennis/Documents/DHBW-Karlsruhe/Webprogrammierung/Folien/0 - Vorlage.odp
:pos:	0
:flags:	0100002
:22:socket:[261415]
:pos:	0
:flags:	02004002
:23:/usr/lib64/libreoffice/program/resource/sden-US.res
:pos:	69438
:flags:	0100000
:24:/usr/lib64/libreoffice/program/resource/svxen-US.res
:pos:	57984
:flags:	0100000
:25:/usr/lib64/libreoffice/program/resource/editengen-US.res
:pos:	9036
:flags:	0100000
:26:/tmp/lu21nuem.tmp/lu21nueo.tmp
:pos:	0
:flags:	0100002
:27:socket:[261568]
:pos:	0
:flags:	02000002
:28:/dev/urandom
:pos:	0
:flags:	02100000
:29:socket:[260777]
:pos:	0
:flags:	02000002
:30:socket:[263430]
:pos:	0
:flags:	02004002
:31:anon_inode:inotify
:pos:	0
:flags:	02004000
:32:/home/dennis/.config/libreoffice/3/user/uno_packages/cache/log.txt
:pos:	0
:flags:	0100002
:33:/home/dennis/Documents/DHBW-Karlsruhe/Webprogrammierung/Folien/3 - Basistechniken des Webs.odp
:pos:	0
:flags:	0100002
:34:/usr/lib64/libreoffice/program/resource/deploymenten-US.res
:pos:	2198
:flags:	0100000
:35:/home/dennis/.config/libreoffice/3/user/uno_packages/cache/uno_packages.db
:pos:	0
:flags:	02100002
:36:/home/dennis/.config/libreoffice/3/user/extensions/shared/extensions.db
:pos:	0
:flags:	02100002
:37:/home/dennis/.config/libreoffice/3/user/extensions/bundled/registry/com.sun.star.comp.deployment.configuration.PackageRegistryBackend/registered_packages.db
:pos:	0
:flags:	02100002
:38:/home/dennis/.config/libreoffice/3/user/extensions/bundled/extensions.db
:pos:	0
:flags:	02100002
:39:/tmp/lu21nuem.tmp/lu21nuhl.tmp
:pos:	0
:flags:	0100002

smolt_data:
:
:
:General
:=================================
:UUID: 0291beb0-2375-42dc-91b4-6e7ff75dcc76
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3791.02
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 64 X2 Dual-Core Processor TK-57
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 104
:Number of CPUs: 2
:CPU Speed: 1900
:System Memory: 1876
:System Swap: 3904
:Vendor: TOSHIBA
:System: Satellite A210 PSAFGE-05P00KGR
:Form factor: Other
:Kernel: 3.5.2-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:30998:4473:65296) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 2)
:(4098:17289:4473:65296) pci, ohci_hcd, USB, SB600 USB (OHCI2)
:(4332:33078:4473:65296) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(4480:2082:4473:65296) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:2098:4473:65296) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2130:4473:65296) pci, None, BASE, xD-Picture Card Controller
:(4480:1426:4473:65296) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4098:30992:4473:65296) pci, None, HOST/PCI, RS690 Host Bridge
:(4098:30994:4473:65296) pci, None, PCI/PCI, RS690 PCI to PCI Bridge (Internal gfx)
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4098:17280:4473:65296) pci, ahci, STORAGE, SB600 Non-Raid-5 SATA
:(4098:17292:4473:65296) pci, pata_atiixp, STORAGE, SB600 IDE
:(4098:17285:4473:65296) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17293:4473:65296) pci, None, PCI/ISA, SB600 PCI to LPC Bridge
:(4098:17283:4473:65290) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:31007:4473:65306) pci, radeon, VIDEO, RS690M [Radeon X1200 Series]
:(4098:17290:4473:65296) pci, ohci_hcd, USB, SB600 USB (OHCI3)
:(4098:17287:4473:65296) pci, ohci_hcd, USB, SB600 USB (OHCI0)
:(4098:17288:4473:65296) pci, ohci_hcd, USB, SB600 USB (OHCI1)
:(4098:17291:4473:65296) pci, ohci_hcd, USB, SB600 USB (OHCI4)
:(4098:17286:4473:65296) pci, ehci_hcd, USB, SB600 USB Controller (EHCI)
:(4098:30996:4473:65296) pci, pcieport, PCI/PCI, N/A
:(4098:30997:4473:65296) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 20642476 18081240 17871560 5242880 4928017 4928017
:/dev/sda2 /home reiserfs 4096 4096 56169292 2213555 2213555 0 0 0
:

var_log_messages:
:Aug 19 13:27:10 blues-mobil kernel: [ 3846.846249] soffice.bin[22994]: segfault at 7f3d0016fff8 ip 00007f3daba2197c sp 00007fffc5ba1b18 error 4 in libc-2.15.so (deleted)[7f3dab9a2000+1ac000]
:Aug 19 13:27:14 blues-mobil abrt[32058]: Saved core dump of pid 22994 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-08-19-13:27:10-22994 (154562560 bytes)
Comment 1 Dennis Schulmeister 2012-08-19 07:56:56 EDT
Created attachment 605476 [details]
File: backtrace
Comment 2 Dennis Schulmeister 2012-08-19 07:56:59 EDT
Created attachment 605477 [details]
File: maps
Comment 3 Dennis Schulmeister 2012-08-19 07:57:01 EDT
Created attachment 605478 [details]
File: dso_list
Comment 4 Caolan McNamara 2012-08-22 05:31:56 EDT
This is undo related in some way. Are you able to reliably reproduce this ? If you are able to reproduce it, can you attach whatever's needed to do that and give a step by step ? Bug 848913 is likely related, but there's no route to reproduce that either.
Comment 5 Michael Stahl 2012-09-17 11:06:27 EDT
Draw/Impress crashes in editengine, after having deleted some text,
inside ImpEditEngine::UndoActionEnd, in SfxUndoManager::ImplClearRedo,
on destroying an undo action object
(which means that the Redo stack is not empty).

cannot reproduce this here playing with current libreoffice-3-5.
cannot fix anything without a reproducible scenario.

Note You need to log in before you can comment on or make changes to this bug.